import { Cookie } from '@azure/functions';
import { ClientPrincipal } from './types.js';

/**
 * Splits 'set-cookie' headers into individual cookies
 */
declare const splitCookiesFromHeaders: (headers: Headers) => {
    headers: Record<string, string>;
    cookies: Cookie[];
};
declare const getClientIPFromHeaders: (headers: Headers) => string;
/**
 * Gets the client principal from `x-ms-client-principal` header.
 */
declare function getClientPrincipalFromHeaders(headers: Headers): ClientPrincipal | undefined;

export { getClientIPFromHeaders, getClientPrincipalFromHeaders, splitCookiesFromHeaders };
